(* Graph, a terminal time series graphing utility
   Copyright (C) 2007 Eric Stokes, N. Owen Gunden

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA. *)

type t = {
  mindelay : float;
  title : string;
  rows: int;
  cols: int;
  range_low: float;
  range_high: float;
  green_range_low: float;
  green_range_high: float;
  range_int: bool;
  scale_factor: float;
  y_axis_width: int;
  field: [ `All | `Specific of int ];
  scale: [ `Log of float | `Linear ]
}

val parse : unit -> t


