(* Graph, a terminal time series graphing utility
   Copyright (C) 2007 Eric Stokes, N. Owen Gunden

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at
   your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA. *)

type 'a t = 'a option array

let create i = Array.make i None

let push t x =
  let last = Array.length t - 1 in
  let prev = ref (Some x) in
  for i = last downto 0 do
    let tmp = t.(i) in
    t.(i) <- !prev;
    prev := tmp
  done

let get t i = t.(i)
